# Class: YARD::CLI::GraphOptions

Inherits:
  Templates::TemplateOptions
  - Object
  - Options
  - Templates::TemplateOptions
  - YARD::CLI::GraphOptions
  show all

Defined in:
  lib/yard/cli/graph.rb

## Overview

Options to pass to the Graph CLI.

## Instance Attribute Summary collapse

- #contents ⇒ String

  Any contents to pass to the digraph.

- #dependencies ⇒ Boolean

  Whether to show the object dependencies.

- #full ⇒ Boolean

  Whether to list the full class diagram.

## Instance Method Summary collapse

- #format ⇒ :dot

  The default output format.

## Dynamic Method Handling

This class handles dynamic methods through the `method_missing` method in the class YARD::Options

## Instance Attribute Details

### #contents ⇒ `String`

Returns any contents to pass to the digraph.

Returns:

- (`String`) —

  any contents to pass to the digraph

    16
    17
    18

    # File 'lib/yard/cli/graph.rb', line 16

    def contents
      @contents
    end

### #dependencies ⇒ `Boolean`

Returns whether to show the object dependencies.

Returns:

- (`Boolean`) —

  whether to show the object dependencies

    13
    14
    15

    # File 'lib/yard/cli/graph.rb', line 13

    def dependencies
      @dependencies
    end

### #full ⇒ `Boolean`

Returns whether to list the full class diagram.

Returns:

- (`Boolean`) —

  whether to list the full class diagram

    10
    11
    12

    # File 'lib/yard/cli/graph.rb', line 10

    def full
      @full
    end

## Instance Method Details

### #format ⇒ `:dot`

Returns the default output format.

Returns:

- (`:dot`) —

  the default output format

    7

    # File 'lib/yard/cli/graph.rb', line 7

    default_attr :format, :dot